
Ryzom - Bug # 1448

Status: Closed Priority: Normal
Author: kervala Category: Build
Created: 03/09/2012 Assignee: kervala
Updated: 05/11/2012 Due date:
Subject: Compilation with CLang
Description

Now that CLang is used by default on Mac OS X 10.7, we should find and fix all compilation errors.

It can be tested under Linux where CLang is provided for almost all distributions.

Related issues:
duplicated by Ryzom - Bug # 1453: Compilations issues with OSX / Xcode 4.3.2 Closed 03/31/2012

History
#1 - 04/07/2012 11:15 am - kervala
- Category set to Build
- Status changed from New to Assigned
- Assignee set to kervala

#2 - 04/07/2012 03:00 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9e3d3de5b35c.

#3 - 04/07/2012 03:21 pm - kervala

All (NeL, tools, samples and servers) are compiling with Clang under Mac OS X 4.3.2. I didn't enable Qt at this time, I will check later.

Now, I'm trying to fix a maximum of warnings.

#4 - 05/11/2012 04:36 pm - sfb
- Status changed from Resolved to Closed
- Target version set to Version 0.9.0
